from typecheck import __declare__
from  sre import Match

__declare__("""

# xmllib has a funny way of doing its init...
#def XMLParser.__init__(self, 
#            accept_unquoted_attributes: StrictBoolean,
#            accept_missing_endtag_name: StrictBoolean,
#            map_case: StrictBoolean,
#            accept_utf8: String,
#            translate_attribute_references: StrictBoolean )

def XMLParser.reset(self) -> rc: None

def XMLParser.setnomoretags(self) -> rc: None

def XMLParser.setliteral(self) -> rc: None

def XMLParser.feed(self, data: String) -> rc: None

def XMLParser.close(self) -> rc: None

def XMLParser.translate_references(self, 
            data:String, all: StrictBoolean) 
                -> unknown: (String | None)

def XMLParser.getnamespace(self) -> namespace: Mapping

def XMLParser.goahead(self, end: StrictBoolean) -> rc: None

def XMLParser.parse_comment(self, i: Int) -> length_or_no_end : Int

def XMLParser.parse_doctype(self, res: Match) -> length_or_no_end : Int

def XMLParser.parse_cdata(self, i: Int) -> length_or_no_end : Int

def XMLparser.parse_starttag(self, i: Int) -> length_or_no_end : Int

def XMLParser.parse_endtag(self, i: Int) -> length_or_no_end : Int

def XMLParser.finish_starttag(self, tagname: String,
                attrdict: Mapping, method: (Callable | None) )
         -> length_or_no_end : Int

def XMLParser.finish_endtag(self, tag: String) -> rc: None

def XMLParser.handle_charref(self, name: String) -> rc: None


 

def XMLparser.parse_proc(self, i: Int) -> length_or_no_end : Int

def XMLParser.parse_attributes(self, tag: String, 
                                i: Int, j: Int) 
                -> (attrdict: Mapping, namespace: Mapping, i: Int)
                    
""")
